<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-employe-heading" data-cy="EmployeCreateUpdateHeading" jhiTranslate="gestionPersonnel3App.employe.home.createOrEditLabel">
        Créer ou éditer un Employe
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.matricule" for="field_matricule">Matricule</label>
          <input type="text" class="form-control" name="matricule" id="field_matricule" data-cy="matricule" formControlName="matricule" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.nom" for="field_nom">Nom</label>
          <input type="text" class="form-control" name="nom" id="field_nom" data-cy="nom" formControlName="nom" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.prenom" for="field_prenom">Prenom</label>
          <input type="text" class="form-control" name="prenom" id="field_prenom" data-cy="prenom" formControlName="prenom" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.sexe" for="field_sexe">Sexe</label>
          <select class="form-control" name="sexe" formControlName="sexe" id="field_sexe" data-cy="sexe">
            <option [ngValue]="null">{{ 'gestionPersonnel3App.Sexe.null' | translate }}</option>
            <option *ngFor="let sexe of sexeValues" [value]="sexe">{{ 'gestionPersonnel3App.Sexe.' + sexe | translate }}</option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.dateNaissance" for="field_dateNaissance"
            >Date Naissance</label
          >
          <div class="input-group">
            <input
              id="field_dateNaissance"
              data-cy="dateNaissance"
              type="text"
              class="form-control"
              name="dateNaissance"
              ngbDatepicker
              #dateNaissanceDp="ngbDatepicker"
              formControlName="dateNaissance"
            />
            <button type="button" class="btn btn-secondary" (click)="dateNaissanceDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.dateIntegration" for="field_dateIntegration"
            >Date Integration</label
          >
          <div class="input-group">
            <input
              id="field_dateIntegration"
              data-cy="dateIntegration"
              type="text"
              class="form-control"
              name="dateIntegration"
              ngbDatepicker
              #dateIntegrationDp="ngbDatepicker"
              formControlName="dateIntegration"
            />
            <button type="button" class="btn btn-secondary" (click)="dateIntegrationDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.situationMatrimoniale" for="field_situationMatrimoniale"
            >Situation Matrimoniale</label
          >
          <select
            class="form-control"
            name="situationMatrimoniale"
            formControlName="situationMatrimoniale"
            id="field_situationMatrimoniale"
            data-cy="situationMatrimoniale"
          >
            <option [ngValue]="null">{{ 'gestionPersonnel3App.SituationMatrimoniale.null' | translate }}</option>
            <option *ngFor="let situationMatrimoniale of situationMatrimonialeValues" [value]="situationMatrimoniale">
              {{ 'gestionPersonnel3App.SituationMatrimoniale.' + situationMatrimoniale | translate }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.statutAgentPublic" for="field_statutAgentPublic"
            >Statut Agent Public</label
          >
          <select
            class="form-control"
            name="statutAgentPublic"
            formControlName="statutAgentPublic"
            id="field_statutAgentPublic"
            data-cy="statutAgentPublic"
          >
            <option [ngValue]="null">{{ 'gestionPersonnel3App.StatutAgentPublic.null' | translate }}</option>
            <option *ngFor="let statutAgentPublic of statutAgentPublicValues" [value]="statutAgentPublic">
              {{ 'gestionPersonnel3App.StatutAgentPublic.' + statutAgentPublic | translate }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.indice" for="field_indice">Indice</label>
          <input type="number" class="form-control" name="indice" id="field_indice" data-cy="indice" formControlName="indice" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.soldeIndiciaire" for="field_soldeIndiciaire"
            >Solde Indiciaire</label
          >
          <input
            type="number"
            class="form-control"
            name="soldeIndiciaire"
            id="field_soldeIndiciaire"
            data-cy="soldeIndiciaire"
            formControlName="soldeIndiciaire"
          />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.salaireBase" for="field_salaireBase">Salaire Base</label>
          <input
            type="number"
            class="form-control"
            name="salaireBase"
            id="field_salaireBase"
            data-cy="salaireBase"
            formControlName="salaireBase"
          />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.nombreCharge" for="field_nombreCharge">Nombre Charge</label>
          <input
            type="number"
            class="form-control"
            name="nombreCharge"
            id="field_nombreCharge"
            data-cy="nombreCharge"
            formControlName="nombreCharge"
          />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.priseServicePosteActuel" for="field_priseServicePosteActuel"
            >Prise Service Poste Actuel</label
          >
          <div class="input-group">
            <input
              id="field_priseServicePosteActuel"
              data-cy="priseServicePosteActuel"
              type="text"
              class="form-control"
              name="priseServicePosteActuel"
              ngbDatepicker
              #priseServicePosteActuelDp="ngbDatepicker"
              formControlName="priseServicePosteActuel"
            />
            <button type="button" class="btn btn-secondary" (click)="priseServicePosteActuelDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.telephone" for="field_telephone">Telephone</label>
          <input type="text" class="form-control" name="telephone" id="field_telephone" data-cy="telephone" formControlName="telephone" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.email" for="field_email">Email</label>
          <input type="text" class="form-control" name="email" id="field_email" data-cy="email" formControlName="email" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.dateProbableRetraite" for="field_dateProbableRetraite"
            >Date Probable Retraite</label
          >
          <div class="input-group">
            <input
              id="field_dateProbableRetraite"
              data-cy="dateProbableRetraite"
              type="text"
              class="form-control"
              name="dateProbableRetraite"
              ngbDatepicker
              #dateProbableRetraiteDp="ngbDatepicker"
              formControlName="dateProbableRetraite"
            />
            <button type="button" class="btn btn-secondary" (click)="dateProbableRetraiteDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.dateAnniversaire" for="field_dateAnniversaire"
            >Date Anniversaire</label
          >
          <div class="input-group">
            <input
              id="field_dateAnniversaire"
              data-cy="dateAnniversaire"
              type="text"
              class="form-control"
              name="dateAnniversaire"
              ngbDatepicker
              #dateAnniversaireDp="ngbDatepicker"
              formControlName="dateAnniversaire"
            />
            <button type="button" class="btn btn-secondary" (click)="dateAnniversaireDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.observation" for="field_observation">Observation</label>
          <input
            type="text"
            class="form-control"
            name="observation"
            id="field_observation"
            data-cy="observation"
            formControlName="observation"
          />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.dateRecrutement" for="field_dateRecrutement"
            >Date Recrutement</label
          >
          <div class="input-group">
            <input
              id="field_dateRecrutement"
              data-cy="dateRecrutement"
              type="text"
              class="form-control"
              name="dateRecrutement"
              ngbDatepicker
              #dateRecrutementDp="ngbDatepicker"
              formControlName="dateRecrutement"
            />
            <button type="button" class="btn btn-secondary" (click)="dateRecrutementDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.allocation" for="field_allocation">Allocation</label>
          <input
            type="number"
            class="form-control"
            name="allocation"
            id="field_allocation"
            data-cy="allocation"
            formControlName="allocation"
          />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.natureRecrutement" for="field_natureRecrutement"
            >Nature Recrutement</label
          >
          <select
            class="form-control"
            id="field_natureRecrutement"
            data-cy="natureRecrutement"
            name="natureRecrutement"
            formControlName="natureRecrutement"
            [compareWith]="compareNatureRecrutement"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="natureRecrutementOption" *ngFor="let natureRecrutementOption of natureRecrutementsSharedCollection">
              {{ natureRecrutementOption.natureRecrutement }}
            </option>
            <!--option [ngValue]="natureRecrutementOption" *ngFor="let natureRecrutementOption of natureRecrutementsSharedCollection">
              {{ natureRecrutementOption.id }}
            </option-->
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.employe.statut" for="field_statut">Statut</label>
          <select
            class="form-control"
            id="field_statut"
            data-cy="statut"
            name="statut"
            formControlName="statut"
            [compareWith]="compareStatut"
          >
            <option [ngValue]="null"></option>
            <!--option [ngValue]="statutOption" *ngFor="let statutOption of statutsSharedCollection">{{ statutOption.id }}</option-->
            <option [ngValue]="statutOption" *ngFor="let statutOption of statutsSharedCollection">{{ statutOption.statutAgent }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
